Sympa::Spindle::ProcessArchive(3Sympa)

NAME
Sympa::Spindle::ProcessArchive - Workflow of archive storage

SYNOPSIS
  use Sympa::Spindle::ProcessArchive;

  my $spindle = Sympa::Spindle::ProcessArchive->new;
  $spindle->spin;

DESCRIPTION
Sympa::Spindle::ProcessArchive defines workflow to store messages into archives.

When spin() method is invoked, messages kept in archive spool are processed. Archive spool may contain two sorts of messages: Normal messages and control messages.

•   Normal messages have List context and may be stored into archive.

•   Control messages have Robot context and their body contains one or more command lines. Following commands are available.

    remove_arc listname yyyy-mm message-ID
        Removes a message from archive yyyy-mm of the list. Text message is preserved.

    rebuildarc listname *
        Rebuilds all HTML archives of the list.

    rebuildarc * *
        Rebuilds all HTML archives of all the lists on the robot.

  Public methods
See also "Public methods" in Sympa::Spindle.

  Properties
See also "Properties" in Sympa::Spindle.

{distaff}
    Instance of Sympa::Spool::Archive class.

SEE ALSO
Sympa::Archive, Sympa::Spindle, Sympa::Spool::Archive.

HISTORY
Sympa::Spindle::StoreArchive appeared on Sympa 6.2.10. It was renamed to Sympa::Spindle::ProcessArchive on Sympa 6.2.13.